/**************************/
/* HEADER */
/**************************/

.header {
  background-color: #001429;
  color: #d8d1cb;
  height: 6.4rem;
  padding: 0 6.4rem;

  display: flex;
  align-items: center;
  justify-content: space-between;
}

.header-icon {
  background-color: #d8d1cb;
  font-size: 3rem;
  color: #001429;
  padding: 0.8rem;
}

.header-logo-and-quote {
  display: flex;
  align-items: center;
  gap: 1.2rem;
}

.header-quote {
  font-size: 1.4rem;
}

/**************************/
/* NAVIGATION */
/**************************/

.main-nav-list {
  list-style: none;
  display: flex;
  align-items: center;
  gap: 3.2rem;
}

.main-nav-link:link,
.main-nav-link:visited {
  display: inline-block;
  text-decoration: none;
  font-size: 2rem;
  color: #d8d1cb;
  transition: all 0.5s;
  padding: 0.8rem;
  border: 2px solid #00142900;
}

.main-nav-link:hover,
.main-nav-link:active {
  border: 2px solid #d8d1cb;
}

.main-nav-link.nav-cta:link,
.main-nav-link.nav-cta:visited {
  display: inline-block;
  background-color: #d8d1cb;
  color: #001429;
  border: 2px solid #d8d1cb;
}

.main-nav-link.nav-cta:hover,
.main-nav-link.nav-cta:active {
  background-color: #001429;
  color: #d8d1cb;
  border: 2px solid #d8d1cb;
}

/* STICKY NAVIGATION */
.sticky .header {
  position: fixed;
  top: 0;
  bottom: 0;
  width: 100%;
  height: 6.4rem;
  padding-top: 0;
  padding-bottom: 0;
  background-color: rgba(0, 20, 41, 0.97);
  z-index: 999;
  box-shadow: 0 1.2rem 3.2rem rgba(0, 0, 0, 0.03);
}

.sticky .section-hero {
  margin-top: 6.4rem;
}

/**************************/
/* HERO */
/**************************/

.section-hero {
  background-color: #d8d1cb;
  padding-left: 6.4rem;
}

.hero {
  display: grid;
  grid-template-columns: 2fr 1fr;
  align-items: center;
  gap: 2.4rem;
}

.hero-img {
  width: 100%;
}

.hero-title {
  display: grid;
  grid-template-columns: 1fr 3fr;
  gap: 1.6rem;
  margin: 1.6rem 3.2rem 1.6rem 3.2rem;

  align-items: center;
}

.hero-description {
  font-size: 1.6rem;
  line-height: 1.8;
  letter-spacing: 0.3px;
  text-align: center;
}

.hero-additional-info {
  font-size: 1.8rem;
  line-height: 1.6;
  letter-spacing: 0.3px;
  /* font-style: italic; */
  text-align: center;
  margin-bottom: 2.4rem;
}

/**************************/
/* EXPERTIES SECTION */
/**************************/

.container--expertise {
  background-color: #001429;
  color: #d8d1cb;
  /* background-color: #d8d1cb;
  color: #001429; */
  padding-top: 2.4rem;
  margin: 0 9.6rem;
}

.icon-expertise {
  font-size: 4.4rem;
  color: #d8d1cb;
  justify-self: center;
}

.textbox-expertise {
  text-align: center;
  padding: 1.2rem 4.8rem 2.4rem 4.8rem;
  /* background-color: #d8d1cb;
  color: #001429; */
  border: 1px solid #d8d1cb;

  display: flex;
  flex-direction: column;
  gap: 2.4rem;
}

.title-expertise {
  font-size: 2.4rem;
}

.expertise-description {
  font-size: 1.4rem;
  line-height: 1.8;
  letter-spacing: 0.3px;
}

.container--attribute {
  background-color: #d8d1cb;
  color: #001429;
  /* background-color: #001429; */
  /* color: #d8d1cb; */
  padding: 1.2rem 2.4rem 3.2rem 2.4rem;
  /* border: 1px solid #d8d1cb; */
  margin-bottom: 4.8rem;
}

.container--attribute .title-expertise {
  padding-bottom: 2.4rem;
  text-align: center;
}

.list-icon {
  font-size: 1.8rem;
}

/* .icon-expertise:nth-child(even) {
  color: #d8d1cb;
} */

/**************************/
/* GALLERY SECTION */
/**************************/
.section-about {
  column-gap: 6.4rem;
  justify-content: center;
  align-items: center;
}

.section-about h2 {
  grid-column: 1/-1;
}

.about-text {
  background-color: #d8d1cb;
  text-align: center;
  padding: 1.6rem 3.2rem;
  font-size: 1.6rem;
  line-height: 2.1;
  letter-spacing: 0.3px;
}

.gallery {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 1rem;
}

.gallery-item {
  overflow: hidden;
}

.gallery-item img {
  display: block;
  width: 100%;
}

.gallery-item:last-child {
  grid-column: 1/-1;
  width: 80%;
  justify-self: center;
}

/**************************/
/* CTA SECTION */
/**************************/
.section-cta {
  color: #001429;
  font-size: 1.6rem;
  line-height: 2.1;
  letter-spacing: 0.3px;

  column-gap: 3.2rem;

  padding: 6.4rem 0rem 4.8rem 0rem;
}

.cta {
  display: grid;
  grid-template-columns: 1fr 2fr;
  overflow: hidden;

  background-color: #d8d1cb;

  margin-top: 3.2rem;
}

.section-cta .heading-secondary {
  grid-column: 1/-1;
  color: #001429;

  font-size: 3.6rem;
  font-weight: 700;
  letter-spacing: -0.65;

  overflow: hidden;
}

.cta-text-box {
  padding: 1.2rem 2.4rem;
  position: relative;
}

.loader--cta {
  position: absolute;
  top: 14%;
  left: 5%;
  display: none;
}

.loader--cta::after {
  content: "Küldés folyamatban";
  font-family: "Inria Serif", serif;
  position: absolute;
  top: 53%;
  left: 29%;

  font-size: 1.8rem;
  color: #001429;
  padding: 0.8rem 8rem;
}

.cta-form {
  padding: 1.2rem;
  column-gap: 1.6rem;
  row-gap: 2.4rem;
  align-items: center;

  font-size: 1.8rem;
}

.cta-form label {
  display: block;
  font-family: "Inria Serif", serif;
}

.cta-form select {
  height: 4.1rem;
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.11);
}

.cta-form input,
.cta-form select,
.cta-form textarea {
  width: 100%;
  padding: 1.2rem 0.8rem 1.2rem 0.8rem;
  color: #fbfafa;
  background-color: #97928e;
  font-family: inherit;
  font-size: 1.4rem;
  border: none;
}

.cta-form textarea {
  resize: none;
  height: 10em;
  padding-top: 0.8rem;
}

.cta-form input::placeholder,
.cta-form textarea::placeholder {
  color: #dddddd;
}

.cta-field:nth-last-child(-n + 3) {
  grid-column: 1/-1;
}

.btn {
  font-size: 1.8rem;
  background-color: #001429;
  color: #d8d1cb;
  padding: 1.6rem;
  cursor: pointer;
  border: none;
}

.btn--form {
  font-weight: 700;
  grid-column: 1/-1;
  width: 30%;
  justify-self: center;
}

.cta-img-box {
  background-image: url("../img/Aláírás.JPG");
  background-size: cover;
  background-position: center;
}

/**************************/
/* FOOTER SECTION */
/**************************/
.footer {
  color: #d8d1cb;
  /* display: grid;
  grid-template-columns: 10fr 90fr; */
  column-gap: 2.4rem;

  padding: 2.4rem;
}

.footer-img {
  width: 100%;
}

.footer-textbox {
  font-size: 1.2rem;
}

.footer-heading {
  font-size: 1.4rem;
  font-weight: 600;
  padding: 1.2rem 0;
}

.grid--footer {
  grid-template-columns: 10fr 90fr;
  column-gap: 1.2rem;
  row-gap: 1rem;
}

.footer-textbox--rights {
  font-size: 1rem;
  grid-column: 1/-1;
  letter-spacing: 0.3px;
  line-height: 1.4;
}

.footer-resources {
  grid-column: 2/-1;
  justify-self: end;
}
